Skip to main content
GET
/
v4
/
calendar-connections
/
connections
List calendar connections
curl --request GET \
  --url https://api.example.com/v4/calendar-connections/connections \
  --header 'x-meetergo-api-user-id: <api-key>'
import requests

url = "https://api.example.com/v4/calendar-connections/connections"

headers = {"x-meetergo-api-user-id": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-meetergo-api-user-id': '<api-key>'}};

fetch('https://api.example.com/v4/calendar-connections/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "connections": [
    {
      "id": "conn-uuid",
      "provider": "google",
      "email": "user@gmail.com",
      "isPrimary": true,
      "isConnected": true,
      "primaryCalendar": "primary",
      "selectedCalendars": [
        "primary",
        "work-calendar"
      ],
      "validateAvailability": true,
      "cancelIfDeclinedOrDeleted": true,
      "disableAttendeeNotification": false
    }
  ],
  "total": 2
}

Authorizations

x-meetergo-api-user-id
string
header
required

User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.

Query Parameters

userId
string

User ID to get connections for (admin only)

Example:

"user-uuid"

Response

200 - application/json

Calendar connections retrieved successfully

connections
object[]
total
number
Example:

2